Get collection

Returns the specified collection.

Request

POST

http://<хост_on-premises>/rpc/getCollection

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "collectionId": "example",
  "includePermissionsInfo": true
}

Name

Description

collectionId

Type: string

ID of the collection to retrieve.

Example: example

includePermissionsInfo

Type: boolean

Include permission information in the response.

Responses

200 OK

Response

Body

application/json
{
  "collectionId": "example",
  "title": "example",
  "description": "example",
  "parentId": "example",
  "tenantId": "example",
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "meta": {},
  "permissions": {
    "listAccessBindings": true,
    "updateAccessBindings": true,
    "createSharedEntry": true,
    "createCollection": true,
    "createWorkbook": true,
    "limitedView": true,
    "view": true,
    "update": true,
    "copy": true,
    "move": true,
    "delete": true
  }
}

Name

Description

collectionId

Type: string

Unique identifier of the collection.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

ID of the user who created the collection.

Example: example

description

Type: string | null

Description of the collection.

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the collection.

Example
{}

parentId

Type: string | null

ID of the parent collection.

Example: example

tenantId

Type: string

ID of the DataLens tenant.

Example: example

title

Type: string

Title of the collection.

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

ID of the user who last updated the collection.

Example: example

permissions

Type: CollectionPermissions

Permissions for the collection.

Example
{
  "listAccessBindings": true,
  "updateAccessBindings": true,
  "createSharedEntry": true,
  "createCollection": true,
  "createWorkbook": true,
  "limitedView": true,
  "view": true,
  "update": true,
  "copy": true,
  "move": true,
  "delete": true
}

CollectionPermissions

Name

Description

copy

Type: boolean

Indicates if the collection can be copied.

createCollection

Type: boolean

Indicates if child collections can be created in the collection.

createSharedEntry

Type: boolean

Indicates if shared entries can be created in the collection.

createWorkbook

Type: boolean

Indicates if workbooks can be created in the collection.

delete

Type: boolean

Indicates if the collection can be deleted.

limitedView

Type: boolean

Indicates if the collection can be viewed with limited access.

listAccessBindings

Type: boolean

Indicates if access bindings for the collection can be listed.

move

Type: boolean

Indicates if the collection can be moved.

update

Type: boolean

Indicates if the collection can be updated.

updateAccessBindings

Type: boolean

Indicates if access bindings for the collection can be updated.

view

Type: boolean

Indicates if the collection can be viewed.

Example
{
  "listAccessBindings": true,
  "updateAccessBindings": true,
  "createSharedEntry": true,
  "createCollection": true,
  "createWorkbook": true,
  "limitedView": true,
  "view": true,
  "update": true,
  "copy": true,
  "move": true,
  "delete": true
}